---
updatedAt: 2026-07-27T10:03:13.000Z
agentTools:
  projectIndex: https://developers.dailymotion.com/v0/llms.txt
---

# Automatic recommendations

Optimize the Player with automatic recommendations.

## Introduction

The Dailymotion Player gives you the possibility to easily **show curated content to your audience without the hassle of creating playlists** **manually**.

**"Automatic Recommendations"** is an **AI-driven feature** designed to generate refined selections of videos. Depending on your goal, it can be **optimized for monetization, engagement or view performance**.

In this guide, we'll show you the characteristics of each optimization model, and how to enable them on a Player configuration using the API.

<Callout icon="💡" theme="default">
  ### Set up automatic recommendations on Dailymotion Studio:

  Automatic Recommendations can also be <Anchor target="_blank" href="https://faq.dailymotion.com/hc/en-us/articles/4408224350994-Create-manage-your-Players#recommendations">configured from the Dailymotion Studio</Anchor>.
</Callout>

<br />

## Optimization models

Find below the key attributes of the optimization models available for Automatic Recommendations:

| Optimization models | Characteristics                                                                                          |
| ------------------- | -------------------------------------------------------------------------------------------------------- |
| `monetization`      | Recommends videos with high revenue potential                                                            |
| `engagement`        | Recommends videos relevant to the initial one, with a focus on content generating more user interactions |
| `views`             | Recommends videos relevant to the initial one, with a focus on content generating more views             |

<Callout icon="📘" theme="info">
  ### Note:

  - The optimization model will first select the **most relevant content from your channel**’s video inventory.
  - If you don’t have enough content available on your channel, it will complete the selection with **high-performing 3rd party options**.
</Callout>

<br />

***

## Create a Player with "Automatic recommendations" ON

To create or modify a Player via the Platform API, make sure you're authenticated with the `manage_players` scope. Please refer to the authentication guides to see <Anchor target="_blank" href="https://developers.dailymotion.com/v0/docs/authenticate">how to authenticate with specific scopes</Anchor>.

You can create or modify a Player with Automatic Recommendations set to a specific optimization model using the parameter below. Refer to the table above for a description of each optimization model value.

<Table>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Values
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `recommendations_optimisation`
      </td>

      <td>
        **Default:** `monetization`
        **Other:** `engagement` `views`
      </td>
    </tr>
  </tbody>
</Table>

<br />

<Tabs>
  <Tab title="Create a Player">
    Using this code sample, you can create a Player with the `recommendations_optimisation` of your choice. In this example, it is set on the `engagement` model.

    ```
    // Create a Player with the parameter recommendations_optimisation set on a specific value: monetization, engagement or views
    // Replace <YOUR_CHANNEL_ID> with your own Channel ID

    curl -X POST -H 'Authorization: Bearer ${ACCESS_TOKEN}' \
       -d 'label=My new player' \
       -d 'recommendations_optimisation=engagement' \
       https://api.dailymotion.com/user/<YOUR_CHANNEL_ID>/players    
    ```
  </Tab>

  <Tab title="Edit an existing Player">
    If you already have a Player and only want to update `recommendations_optimisation`, use the following code sample and replace the value with the one you intend to use.

    ```
    // Change the recommendations_optimisation parameter on an existing Player
    // Replace <YOUR_PLAYER_ID> with the Player ID you want to modify

    curl -X POST -H 'Authorization: Bearer ${ACCESS_TOKEN}' \
       -d 'recommendations_optimisation=views' \
       'https://api.dailymotion.com/player/<YOUR_PLAYER_ID>'
    ```
  </Tab>
</Tabs>

<br />